Zydis v4.1.1

Loading...
Searching...
No Matches
ZydisDecodedInstructionRaw_::ZydisDecodedInstructionRawDisp_ Struct Reference

Detailed info about displacement-bytes. More...

`#include <DecoderTypes.h>`

## Data Fields
ZyanI64 | value
| The displacement value.
ZyanU8 | size
| The physical displacement size, in bits.
ZyanU8 | offset
| The offset of the displacement data, relative to the beginning of the instruction, in bytes.

## Detailed Description

Detailed info about displacement-bytes.

## Field Documentation

## ◆ offset

ZyanU8 offset

The offset of the displacement data, relative to the beginning of the instruction, in bytes.

## ◆ size

ZyanU8 size

The physical displacement size, in bits.

## ◆ value

ZyanI64 value

The displacement value.

The documentation for this struct was generated from the following file:

- include/Zydis/DecoderTypes.h